# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQt6_DataVisualization
%define qt6_minver 6.8.0

Name:           python-qt6-datavisualization
Version:        6.8.0
Release:        %mkrel 3
Summary:        Set of Python bindings for The Qt DataVisualization library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://www.riverbankcomputing.com/software/pyqtdatavisualization/
#https://www.riverbankcomputing.com/static/Downloads/PyQtDataVisualization/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:        https://pypi.io/packages/source/p/pyqt6-datavisualization/%{sname}-%{version}.tar.gz

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt6-devel >= %{version}
BuildRequires:  python3dist(pyqt-builder)
BuildRequires:  python3dist(sip)

BuildRequires:  cmake(Qt6DataVisualization) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Core) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Gui) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Widgets) >= %{qt6_minver}

%description
PyQtDataVisualization is a set of Python bindings for The Qt Company's
Qt DataVisualization library.
The bindings sit on top of PyQt6 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt6

%define py3_name python3-qt6

%package -n     %{py3_name}-datavisualization
Summary:        Python 3 bindings for PyQt 6 data visualization
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-datavisualization
Python 3 bindings for PyQt 6 data visualization.

%files -n %{py3_name}-datavisualization
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt6/QtDataVisualization.*
%{python3_sitearch}/PyQt6_DataVisualization-%{version}.dist-info
%{python3_sitearch}/PyQt6/bindings/QtDataVisualization

#------------------------------------------------------------

%package -n     %{py3_name}-datavisualization-qsci-api
Summary:        Python 3 bindings for PyQt 6 data visualization Qscintilla API
Group:          Development/KDE and Qt

%description -n %{py3_name}-datavisualization-qsci-api
Python 3 bindings for PyQt 6 data visualization Qscintilla API.

%files -n %{py3_name}-datavisualization-qsci-api
%dir %{_qt6_datadir}/qsci/
%dir %{_qt6_datadir}/qsci/api/
%dir %{_qt6_datadir}/qsci/api/python/
%{_qt6_datadir}/qsci/api/python/PyQt6-DataVisualization.api

#------------------------------------------------------------

%package -n    %{py3_name}-datavisualization-examples
Summary:       Usage examples for the PyQt 6 data visualization python 3 bindings
Group:         Documentation
BuildArch:     noarch

%description -n %{py3_name}-datavisualization-examples
Usage examples for the PyQt 6 data visualization python 3 bindings.

%files -n %{py3_name}-datavisualization-examples
%doc %{_docdir}/%{py3_name}-datavisualization/examples

### END python3-qt6

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt6_datadir}/qsci/api/python \
  --qmake-setting 'QMAKE_LFLAGS_RPATH=' \
  --verbose

%make_build -C build

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

mkdir -p %{buildroot}%{_docdir}/%{py3_name}-datavisualization/examples
    cp -fr examples/* %{buildroot}%{_docdir}/%{py3_name}-datavisualization/examples/

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt6/*.so ; do
test -x $i  || chmod a+rx $i
done


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 6.8.0-3.mga10
+ Revision: 2237702
- Mageia 10 Mass Rebuild

* Fri Feb 28 2025 daviddavid <daviddavid> 6.8.0-2.mga10
+ Revision: 2153913
- rebuild for python 3.13

* Thu Dec 19 2024 daviddavid <daviddavid> 6.8.0-1.mga10
+ Revision: 2126482
- new version: 6.8.0

* Fri Jun 14 2024 daviddavid <daviddavid> 6.7.0-2.mga10
+ Revision: 2073076
- rebuild for 'Qt_$MAJOR_PRIVATE_API' settings

* Mon May 27 2024 daviddavid <daviddavid> 6.7.0-1.mga10
+ Revision: 2067866
- New version 6.7.0

* Sat Dec 09 2023 daviddavid <daviddavid> 6.6.0-2.mga10
+ Revision: 2015974
- rebuild for py3.12

* Tue Oct 31 2023 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 2002974
- New version 6.6.0

* Thu Sep 21 2023 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 1989181
- new version: 6.5.0

* Sat Dec 24 2022 daviddavid <daviddavid> 6.4.0-2.mga9
+ Revision: 1926273
- Rebuild for new Qt 6.4.1

* Tue Oct 04 2022 papoteur <papoteur> 6.4.0-1.mga9
+ Revision: 1894771
- Fix file list and compilation directives
- new 6.4.0

* Mon Sep 12 2022 papoteur <papoteur> 5.15.5-1.mga9
+ Revision: 1887495
- new 5.15.5

* Tue Mar 29 2022 papoteur <papoteur> 5.15.2-4.mga9
+ Revision: 1831724
- Fix unexpanded macro in Requires no more needed
- Use sip 6 for building instead of sip 4

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 5.15.2-3.mga9
+ Revision: 1778428
- rebuild for python-3.10

* Thu Mar 18 2021 daviddavid <daviddavid> 5.15.2-2.mga9
+ Revision: 1704316
- rebuild for python 3.9

* Sat Dec 05 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652955
- New version 5.15.2

* Sun Sep 13 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1625542
- new version: 5.15.1

* Thu Jun 25 2020 daviddavid <daviddavid> 5.15.0-2.mga8
+ Revision: 1599181
- rebuild with sip 4.19.23

* Thu Jun 04 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1590399
- new version: 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.0-2.mga8
+ Revision: 1545915
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 daviddavid <daviddavid> 5.14.0-1.mga8
+ Revision: 1485528
- New version 5.14.0

* Wed Sep 11 2019 daviddavid <daviddavid> 5.13.0-2.mga8
+ Revision: 1439850
- rebuild for python3.8
- drop python2 support

* Sun Jul 28 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1424687
- New version 5.13.0

* Sun Jul 28 2019 daviddavid <daviddavid> 5.12-3.mga8
+ Revision: 1424680
- fix/workaround -debug generation
- rebuild for new Qt5 path

* Mon Apr 01 2019 umeabot <umeabot> 5.12-2.mga7
+ Revision: 1384111
- Qt5 Rebuild

* Thu Feb 14 2019 daviddavid <daviddavid> 5.12-1.mga7
+ Revision: 1367071
- initial package python-qt5-datavisualization

